#!/bin/sh

USAGE="USAGE: $0 <user> <realm> <password>"

if [ -z "$3" ]; then echo "$USAGE" >&2; exit 1; fi

TOHASH="$1:$2:$3"
HASH=$(echo -n "$TOHASH" | md5sum | sed -e 's/\s*-//')
ENTRY="$1:$2:$HASH"
echo $ENTRY
